<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="../layout/template.xhtml">
    <ui:define name="body">
        <ui:decorate template="/layout/form/_form_page.xhtml">
            <h:panelGroup rendered="#{not dataSetManager.isEditForm()}">
                <h2>#{messages['net.ihe.gazelle.atna.CreateATestDataSet']}</h2>
            </h:panelGroup>
            <h:panelGroup rendered="#{dataSetManager.isEditForm()}">
                <h2>#{messages['net.ihe.gazelle.atna.EditATestDataSet']}</h2>
            </h:panelGroup>

            <p>#{messages['net.ihe.gazelle.atna.ADataSetCanBeInjectedInASimulatorclientOrServerT']}</p>
            <h:form id="createForm" styleClass="form-horizontal">

                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.DataSetIdentity']}</ui:define>
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="nameInput"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.DataSetName']}</ui:define>
                        <h:inputText id="nameInput" value="#{dataSetManager.name}" size="30"
                                     styleClass="form-control" required="true"/>
                    </s:decorate>
                    <h:panelGroup rendered="#{dataSetManager.isEditForm()}">
                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.LastChange']}</ui:define>
                            <p class="form-control-static">
                                <g:date value="#{dataSetManager.getLastChanged()}"/>
                                <h:outputText
                                        value=" #{messages['net.ihe.gazelle.atna.By']} #{dataSetManager.getUserName(dataSetManager.getLastModifierId())}"/>
                            </p>
                        </s:decorate>
                    </h:panelGroup>
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="contextInput"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.Context']}</ui:define>
                        <h:selectOneMenu id="contextInput" value="#{dataSetManager.context}"
                                         styleClass="form-control gzl-select-text">
                            <f:selectItems value="#{dataSetManager.getContextTypeItems()}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </ui:decorate>

                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.SimulatorIdentity']}</ui:define>
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="certScopeInput"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.CertificateScope']}</ui:define>
                        <h:selectOneRadio id="certScopeInput" required="true"
                                          value="#{dataSetManager.certificateScope}">
                            <f:selectItems value="#{dataSetManager.getCertificateScopeItems()}"/>
                            <a4j:ajax event="change" render="certificateSelection" execute="@this"/>
                        </h:selectOneRadio>
                    </s:decorate>
                    <s:div id="certificateSelection">
                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="certificateInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.Certificate']}</ui:define>
                            <h:selectOneMenu id="certificateInput" value="#{dataSetManager.certificate}"
                                             styleClass="form-control gzl-select-text">
                                <f:selectItem noSelectionOption="true" itemValue="#{null}"
                                              itemLabel="#{messages['net.ihe.gazelle.atna.None']}"/>
                                <f:selectItems value="#{dataSetManager.getAvailableCertificates()}"/>
                            </h:selectOneMenu>
                        </s:decorate>
                    </s:div>
                </ui:decorate>

                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.SecurityParameters']}</ui:define>
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="protocolsInput"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.Protocols']}</ui:define>
                        <rich:pickList id="protocolsInput" value="#{dataSetManager.protocols}" minListHeight="120px"
                                       maxListHeight="200px">
                            <f:selectItems value="#{dataSetManager.getProtocolTypeItems()}"/>
                        </rich:pickList>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="ciphersuitesInput"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.CipherSuites']}</ui:define>
                        <rich:pickList id="ciphersuitesInput" value="#{dataSetManager.cipherSuites}"
                                       minListHeight="120px" maxListHeight="200px">
                            <f:selectItems value="#{dataSetManager.getCipherSuiteTypeItems()}"/>
                        </rich:pickList>
                    </s:decorate>
                </ui:decorate>

                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">
                        #{messages['net.ihe.gazelle.atna.PeerAuthentication']}
                    </ui:define>
                    <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.RequireClientAuthentication']}</ui:define>
                        <h:selectBooleanCheckbox value="#{dataSetManager.needClientAuth}">
                        </h:selectBooleanCheckbox>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.UseSystemJavaCacertsTruststore']}</ui:define>
                        <h:selectBooleanCheckbox value="#{dataSetManager.useSystemCACerts}">
                            <a4j:ajax event="change" render="issuersPickList"/>
                        </h:selectBooleanCheckbox>
                    </s:decorate>
                    <s:div id="issuersPickList">
                        <s:div rendered="#{not dataSetManager.isUseSystemCACerts()}">
                            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:param name="id" value="issuersInput"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.atna.TrustedIssuers']}</ui:define>
                                <rich:pickList id="issuersInput" value="#{dataSetManager.trustedIssuers}"
                                               converter="org.jboss.seam.ui.EntityConverter" minListHeight="120px"
                                               maxListHeight="200px">
                                    <f:selectItems value="#{dataSetManager.getAvailableIssuers()}"/>
                                </rich:pickList>
                            </s:decorate>
                        </s:div>
                    </s:div>
                    <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.CheckCertificateRevocation']}
                        </ui:define>
                        <h:selectBooleanCheckbox value="#{dataSetManager.checkRevocation}"/>
                    </s:decorate>
                </ui:decorate>

                <em class="pull-right">* #{messages['net.ihe.gazelle.atna.Required']}</em>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.atna.Save']}" styleClass="gzl-btn-blue"
                                   action="#{dataSetManager.saveDataSet()}" render="createForm,gazelle-messages"/>
                <h:outputLink value="#{dataSetManager.linkToList()}" styleClass="gzl-btn">
                    #{messages['net.ihe.gazelle.atna.BackToList']}
                </h:outputLink>

            </h:form>
        </ui:decorate>
    </ui:define>
</ui:composition>
